xquery version "3.1";
(:~
 : Provides the endpoint for SADE Publish process
 :)

import module namespace tgconnect="https://sade.textgrid.de/ns/connect" at "tgconnect.xqm";

let $uri as xs:string := request:get-parameter("uri", ""),
    $sid as xs:string := request:get-parameter("sid", ""),
    $user as xs:string := request:get-parameter("user", ""),
    $password as xs:string := request:get-parameter("password", "")

return
    if( $uri = "" ) then
        error(QName("https://sade.textgrid.de/ns/error", "PUBLISH01"), "no URI provided")
    else
        <div>{
            for $i in tgconnect:publish($uri, $sid, $user, $password)
            return
                <ok>{ $uri } » { $i }</ok>
        }</div>
